Web lists-archives.com

Re: Undentified issue with primus or bumblebee.




On 01/02/2018 01:38, Attilio Giuseppe Carolillo wrote:
I use Debian "Buster" on a laptop Lenovo G580 (Geforce 635M).
I updated the primus package 2015XXYY-6 but i didn't solved anything:

When i launch flightgear with (antialiasing 2x, nothing else):
optirun -b primus fgfs --prop:/sim/rendering/multi-sample-buffers=true
--prop:/sim/rendering/multi-samples=2 --log-level=debug

[...]
Last test with vlc, "primusrun vlc" gets:

/usr/bin/primusrun: riga 41: attenzione: command substitution: ignored null
byte in input
VLC media player 3.0.0-rc6 Vetinari (revision 3.0.0-rc6-0-g1d05ae3858)
[0000560f57e65a30] main libvlc: Esecuzione di vlc con l'interfaccia
predefinita. Usa 'cvlc' per utilizzare vlc senza interfaccia.
../include/vlc_xlib.h:46:vlc_xlib_init: Xlib not initialized for threads.
This process is probably using LibVLC incorrectly.
Pass "--no-xlib" to libvlc_new() to fix this.
[0000560f57f4e240] qt interface error: Xlib not initialized for threads

../include/vlc_xlib.h:46:vlc_xlib_init: Xlib not initialized for threads.
This process is probably using LibVLC incorrectly.
Pass "--no-xlib" to libvlc_new() to fix this.
[0000560f57f4e240] skins2 interface error: Xlib not initialized for
threads
[0000560f57f4e240] skins2 interface error: initializing xlib for
multi-threading failed
[0000560f57f4e240] skins2 interface error: cannot initialize OSFactory

[0000560f57e64350] main playlist: playlist is empty
[0000560f57f4e240] [cli] lua interface: Listening on host "*console".
VLC media player 3.0.0-rc6 Vetinari
Command Line Interface initialized.


Any suggestions? thanks

Regards
Attilio


Hi, answering to the list and you direct since we don't know if you are subscribed.

What happens if you install the "mesa-utils" package and run:

optirun glxinfo | grep OpenGL

does it say Nvidia as the vendor?

Primus is in a broken state in Sid, has been for a while, so it is probably the same in Testing now. If you can't get it to work (I gave up) because the "non-glvnd" and "glvnd" Nvidia variant conflict, you can use virtualGL as a workaround.

If you need to go that way just uninstall primus (but keep bumblebee), make sure the "glvnd" (not "non-glvnd") variant of the Nvidia packages are installed, and download the .deb packages for virtualGL here:

https://sourceforge.net/projects/virtualgl/files/

If I presume you are on 64bits (amd64) system you need both "virtualgl-[version]-amd64.deb" and "virtualgl32-[version]-amd64.deb" if you are running 32bits programs and have Nvidia 32bits compatibility packages installed. After installing the virtualgl packages, and maybe a reboot, the "optirun glxinfo" command above should report Nvidia as OpenGL vendor, and your programs should work properly.

Hope it helps.